org.springframework.batch.core.configuration.xml

## Class TopLevelFlowParser

- java.lang.Object
- - org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
  - - org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
    - - org.springframework.batch.core.configuration.xml.AbstractFlowParser
      - - org.springframework.batch.core.configuration.xml.TopLevelFlowParser

- All Implemented Interfaces:
    org.springframework.beans.factory.xml.BeanDefinitionParser

      public class TopLevelFlowParser
      extends AbstractFlowParser

  Author:
    Dave Syer, Michael Minella

- - ### Field Summary

    - ### Fields inherited from class org.springframework.batch.core.configuration.xml.AbstractFlowParser

      `DECISION_ELE, END_ELE, endCounter, EXIT_CODE_ATTR, FAIL_ELE, FLOW_ELE, ID_ATTR, NEXT_ATTR, NEXT_ELE, ON_ATTR, RESTART_ATTR, SPLIT_ELE, STEP_ELE, STOP_ELE, TO_ATTR`

    - ### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `ID_ATTRIBUTE, NAME_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopLevelFlowParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doParse(org.w3c.dom.Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`

    - ### Methods inherited from class org.springframework.batch.core.configuration.xml.AbstractFlowParser

      `createTransition, findAllReachableElements, getBatchStatusFromEndTransitionName, getBeanClass, getNextElements, getNextElements, getStateTransitionReference, setJobFactoryRef, verifyUniquePattern`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

      `doParse, getBeanClassName, getParentName, parseInternal`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TopLevelFlowParser

          public TopLevelFlowParser()

  - ### Method Detail

    - #### doParse

          protected void doParse(org.w3c.dom.Element element,
                                 org.springframework.beans.factory.xml.ParserContext parserContext,
                                 org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

      Overrides:
        `doParse` in class `AbstractFlowParser`
      Parameters:
        `element` - the top level element containing a flow definition
        `parserContext` - the `ParserContext`